#ifndef _STDINSOCKET_H
#define _STDINSOCKET_H

#include <Socket.h>


class StdinSocket : public Socket
{
public:
	StdinSocket(ISocketHandler&);
	~StdinSocket();

	void OnRead();
	virtual void OnLine(const std::string& ) = 0;

private:
	std::string m_line;
};




#endif // _STDINSOCKET_H
